Bug 483047 - There are no SGPIO application and dmevent_tool in default installation.
There are no SGPIO application and dmevent_tool in default installation.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mdadm (Show other bugs)
5.3
All Linux
medium Severity high
: rc
: ---
Assigned To: Doug Ledford
BaseOS QE
:
Depends On: 479261
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 09:27 EST by Denise Dumas
Modified: 2009-02-22 18:46 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 479261
Environment:
Last Closed: 2009-02-22 18:46:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Denise Dumas 2009-01-29 09:27:46 EST
+++ This bug was initially created as a clone of Bug #479261 +++

Description of problem:

Packages:
- dmraid-events-1.0.0.rc13-33.el5.i386.rpm
- sgpio-1.2.0_10-2.el5.i386.rpm
are not in default installation of RHEL.
SGPIO and dmevent_tool are necessary to support all features offered by DMRAID application.

Is there possibility to add these packages to default installation in RHEL 5.3?

--- Additional comment from krzysztof.wojcik@intel.com on 2009-01-19 03:09:42 EDT ---

Installer dosed not include these packages to installation by default.
Could you add them to list?

--- Additional comment from ddumas@redhat.com on 2009-01-29 09:25:27 EDT ---

We need to be sure that the SGPIO package is included during installations, but also that "yum update" will pick it up too, and people won't be able to 
accidentally delete it (and then break their dmraid setup).

Thus we need to make the dmraid and the mdadm packages require the sgpio package.
Actually, any other package utilizing LED management via sgpio should
require the sgpio package, but these are the only two I know of. 
This way, if a user installs the dmraid event handling package, the sgpio
package will be pulled in automatically.
Comment 1 Denise Dumas 2009-01-29 09:28:40 EST
Cloned for mdadm to request packaging change - require sgpio
Comment 2 Doug Ledford 2009-02-22 18:46:06 EST
There's nothing to be done here for mdadm.  The mdadm program does not support or use the SGPIO package.

Note You need to log in before you can comment on or make changes to this bug.